<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BasicHGWOptions](./bitburner.basichgwoptions.md) &gt; [threads](./bitburner.basichgwoptions.threads.md)

## BasicHGWOptions.threads property

Number of threads to use for this function. Must be less than or equal to the number of threads the script is running with.

**Signature:**

```typescript
threads?: number;
```
